Qt 5.11 | Qt 3D | C++ Classes | QAbstractPhysicalDeviceProxy

Qt 5.11.3 Reference Documentation

# QAbstractPhysicalDeviceProxy Class

(Qt3DInput::QAbstractPhysicalDeviceProxy)

Qt3DInput::QAbstractPhysicalDeviceProxy acts as a proxy for an actual Qt3DInput::QQAbstractPhysicalDevice device. More...

Header: | #include <QAbstractPhysicalDeviceProxy>
qmake: | QT += 3dinput
Since: | Qt 5.8
Inherits: | Qt3DInput::QAbstractPhysicalDevice

- List of all members, including inherited members

## Public Types

enum | DeviceStatus { Ready, NotFound }

## Properties

- deviceName : const QString
- status : const QAbstractPhysicalDeviceProxy::DeviceStatus

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

QString | deviceName() const
Qt3DInput::QAbstractPhysicalDeviceProxy::DeviceStatus | status() const

## Reimplemented Public Functions

virtual int | axisCount() const override
virtual int | axisIdentifier(const QString &name) const override
virtual QStringList | axisNames() const override
virtual int | buttonCount() const override
virtual int | buttonIdentifier(const QString &name) const override
virtual QStringList | buttonNames() const override

- 9 public functions inherited from Qt3DInput::QAbstractPhysicalDevice
- 13 public functions inherited from Qt3DCore::QNode

## Signals

void | statusChanged(QAbstractPhysicalDeviceProxy::DeviceStatus status)

- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 3 public slots inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Qt3DInput::QAbstractPhysicalDeviceProxy acts as a proxy for an actual Qt3DInput::QQAbstractPhysicalDevice device.

Qt3DInput::QAbstractPhysicalDeviceProxy can be used to facilitate exposing a physical device to users. It alleviates the need to introspect the axis and buttons based on their names.

It is typcally used through subclassing allowing to set the device name and defining enums for the various axis and buttons of your targeted device.

At runtime, the status property will be updated to reflect whether an actual device matching the device name could be created.

## Member Type Documentation

### enum QAbstractPhysicalDeviceProxy::DeviceStatus

## Property Documentation

### deviceName : const QString

Access functions:

QString | deviceName() const

### status : const QAbstractPhysicalDeviceProxy::DeviceStatus

Access functions:

Qt3DInput::QAbstractPhysicalDeviceProxy::DeviceStatus | status() const

Notifier signal:

void | statusChanged(QAbstractPhysicalDeviceProxy::DeviceStatus status)

## Member Function Documentation

### `[override virtual]` int QAbstractPhysicalDeviceProxy::axisCount() const

### `[override virtual]` int QAbstractPhysicalDeviceProxy::axisIdentifier(const QString &name) const

### `[override virtual]` QStringList QAbstractPhysicalDeviceProxy::axisNames() const

### `[override virtual]` int QAbstractPhysicalDeviceProxy::buttonCount() const

### `[override virtual]` int QAbstractPhysicalDeviceProxy::buttonIdentifier(const QString &name) const

### `[override virtual]` QStringList QAbstractPhysicalDeviceProxy::buttonNames() const